> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clarionhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Eligibility Check

> Get the status and results of a specific eligibility check by its ID.

**How to find a eligibility check:**
- If you have the eligibility check ID from the POST response, use this endpoint directly
- If you only have your `customer_patient_id`, use `GET /eligibility?customer_patient_id=your-id` to find the eligibility check

**Note:** You can poll this endpoint to check the status of your request, or wait for the webhook notification when the check completes.



## OpenAPI

````yaml GET /eligibility/{id}
openapi: 3.0.1
info:
  title: Clarion API
  description: >-
    Clarion's public facing API. For more information, please visit
    https://docs.clarionhealth.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clarionhealth.com/v1
security:
  - bearerAuth: []
paths:
  /eligibility/{id}:
    get:
      description: >-
        Get the status and results of a specific eligibility check by its ID.


        **How to find a eligibility check:**

        - If you have the eligibility check ID from the POST response, use this
        endpoint directly

        - If you only have your `customer_patient_id`, use `GET
        /eligibility?customer_patient_id=your-id` to find the eligibility check


        **Note:** You can poll this endpoint to check the status of your
        request, or wait for the webhook notification when the check completes.
      parameters:
        - name: id
          in: path
          description: The ID of the eligibility check request
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Eligibility check details
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - $ref: '#/components/schemas/EligibilityCheckCompleted'
                    - $ref: '#/components/schemas/EligibilityCheckFailed'
                    - $ref: '#/components/schemas/EligibilityCheckInProgress'
        '404':
          description: Eligibility check not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Insurance eligibility check with ID 123 not found
                  error:
                    type: string
                    description: Error code identifying the type of error
                    example: Not found
                  statusCode:
                    type: integer
                    description: HTTP status code
                    example: 404
                required:
                  - message
                  - statusCode
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Internal server error
                  statusCode:
                    type: integer
                    description: HTTP status code
                    example: 500
                required:
                  - message
                  - statusCode
components:
  schemas:
    EligibilityCheckCompleted:
      type: object
      properties:
        id:
          type: integer
        status:
          type: string
          enum:
            - completed
        outcome:
          type: string
          enum:
            - success
            - not-supported
        coverage:
          $ref: '#/components/schemas/EligibilityCheckCoverage'
        created_at:
          type: string
          format: date-time
        customer_patient_id:
          type: string
          nullable: true
          example: '1234567890'
      required:
        - id
        - status
        - outcome
        - coverage
    EligibilityCheckFailed:
      type: object
      properties:
        id:
          type: integer
        status:
          type: string
          enum:
            - completed
        outcome:
          type: string
          enum:
            - failure
        error:
          $ref: '#/components/schemas/EligibilityCheckError'
        created_at:
          type: string
          format: date-time
        customer_patient_id:
          type: string
          nullable: true
      required:
        - id
        - status
        - outcome
        - error
    EligibilityCheckInProgress:
      type: object
      properties:
        id:
          type: integer
        status:
          type: string
          enum:
            - in-progress
        created_at:
          type: string
          format: date-time
        customer_patient_id:
          type: string
          nullable: true
          example: '1234567890'
      required:
        - id
        - status
    EligibilityCheckCoverage:
      type: object
      properties:
        is_active_today:
          type: boolean
          description: Whether the coverage is active today
        checked_date:
          type: string
          format: date
          pattern: ^\d{4}-\d{2}-\d{2}$
          description: Date when the coverage was checked (YYYY-MM-DD format)
        plan_name:
          type: string
          description: Name of the insurance plan
          example: Freedom Network
        payer_name:
          type: string
          description: Name of the insurance payer
          example: United Healthcare
        group_number:
          type: string
          nullable: true
          description: >-
            Group number of the insurance plan. Note, this may be different than
            what was provided in the request. This is in cases where we find a
            different payer or plan for the individual.
          example: '1234567890'
        member_id:
          type: string
          nullable: true
          description: >-
            Member ID of the insurance plan. Note, this may be different than
            what was provided in the request. This is in cases where we find a
            different payer or plan for the individual.
          example: X12345678
        patient_costs:
          type: array
          items:
            $ref: '#/components/schemas/PatientCost'
          description: >-
            Patient cost information including deductibles and out of pocket
            maximums. Currently only these two cost types are returned from STC
            30 eligibility checks.
      required:
        - is_active_today
        - checked_date
        - plan_name
        - payer_name
        - patient_costs
    EligibilityCheckError:
      type: object
      properties:
        code:
          type: string
          description: Error code identifying the type of error
          example: MEMBER_NOT_FOUND
        message:
          type: string
          description: Human-readable error message
          example: Member ID not found in payer system
      required:
        - code
        - message
    PatientCost:
      type: object
      properties:
        type:
          type: string
          enum:
            - deductible
            - out_of_pocket_max
          description: >-
            Type of patient cost. Currently only deductible and
            out_of_pocket_max are supported for STC 30 responses.
        amount:
          type: string
          description: Dollar amount of the deductible or out of pocket maximum
          example: '1500'
        coverage_level:
          type: string
          nullable: true
          description: 'Coverage level: individual, family, etc.'
          example: individual
        network:
          type: string
          enum:
            - in_network
            - out_of_network
            - both
            - unknown
          description: Network status
        time_period:
          type: string
          nullable: true
          description: >-
            Time period this applies to (e.g., plan_year, remaining,
            service_year)
          example: plan_year
        description:
          type: string
          description: User-friendly description of what this cost represents
          example: $1500 deductible (individual) in-network per plan year
      required:
        - type
        - network
        - description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````